Update the global configuration

Update the global configuration

Updates the global search configuration for the current instance.

Requires authentication.

Request

PUT /configuration

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
enableCategoryAggregationbooleanNoEnable or disable category facets in search results.
searchDocumentTypesobjectNoObject with boolean flags for manufacturer, category, and links to enable/disable these types in search.
suggestFieldstringNoThe field to use for autocomplete suggestions.
boostInSearchbooleanNoEnable stream boosting in search results.
boostInCategoriesbooleanNoEnable stream boosting on category pages.

Example Request

{
  "enableCategoryAggregation": true,
  "searchDocumentTypes": {
    "manufacturer": true,
    "category": true,
    "links": false
  },
  "suggestField": "title",
  "boostInSearch": true,
  "boostInCategories": true
}

Response

Returns the updated configuration object.

Body Params
boolean
searchDocumentTypes
object
string
boolean
boolean
boostFields
object
boolean
boolean
number
boolean
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!